> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Room

> Update an interview room.

Only rooms in 'pending' status can be updated.
Use this to override project context for a specific interview.

Parameters:
- room_id: UUID of the room
- research_goals_override: Override research goals (null to clear)
- interview_guide_override: Override interview guide (null to clear)
- max_duration_minutes: New max duration
- expires_at: New expiration time

Returns:
- Updated room details



## OpenAPI

````yaml /api-reference/openapi-filtered.json patch /api/interviews/rooms/{room_id}
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /api/interviews/rooms/{room_id}:
    patch:
      tags:
        - interviews
      summary: Update Room
      description: |-
        Update an interview room.

        Only rooms in 'pending' status can be updated.
        Use this to override project context for a specific interview.

        Parameters:
        - room_id: UUID of the room
        - research_goals_override: Override research goals (null to clear)
        - interview_guide_override: Override interview guide (null to clear)
        - max_duration_minutes: New max duration
        - expires_at: New expiration time

        Returns:
        - Updated room details
      operationId: update_room_api_interviews_rooms__room_id__patch
      parameters:
        - name: room_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Room Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRoomRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterviewRoomResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateRoomRequest:
      properties:
        research_goals_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Research Goals Override
        interview_guide_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Interview Guide Override
        topics_for_respondent:
          anyOf:
            - type: string
            - type: 'null'
          title: Topics For Respondent
        max_duration_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Duration Minutes
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        clear_research_goals_override:
          type: boolean
          title: Clear Research Goals Override
          default: false
        clear_interview_guide_override:
          type: boolean
          title: Clear Interview Guide Override
          default: false
        clear_topics_for_respondent:
          type: boolean
          title: Clear Topics For Respondent
          default: false
        display_name:
          anyOf:
            - type: string
              maxLength: 42
            - type: 'null'
          title: Display Name
        clear_display_name:
          type: boolean
          title: Clear Display Name
          default: false
      type: object
      title: UpdateRoomRequest
      description: Request model for updating an interview room.
    InterviewRoomResponse:
      properties:
        id:
          type: string
          title: Id
        project_id:
          type: string
          title: Project Id
        record_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Record Id
        access_token:
          type: string
          title: Access Token
        url:
          type: string
          title: Url
        room_name:
          type: string
          title: Room Name
        respondent_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Respondent Email
        max_duration_minutes:
          type: integer
          title: Max Duration Minutes
        research_goals_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Research Goals Override
        interview_guide_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Interview Guide Override
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        created_by:
          type: string
          title: Created By
        voice:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice
        realtime_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Realtime Provider
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        topics_for_respondent:
          anyOf:
            - type: string
            - type: 'null'
          title: Topics For Respondent
        display_name:
          anyOf:
            - type: string
              maxLength: 42
            - type: 'null'
          title: Display Name
      type: object
      required:
        - id
        - project_id
        - access_token
        - url
        - room_name
        - max_duration_minutes
        - status
        - created_at
        - created_by
      title: InterviewRoomResponse
      description: Response model for interview room details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````